<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Izg project: vector/src/vector/vector.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Izg project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_1fe2e3f40887fbec9fd2493c34e7d145.html">vector</a></li><li class="navelem"><a class="el" href="dir_5c60f3e8c3954d5c5c5ecd5ca790863c.html">src</a></li><li class="navelem"><a class="el" href="dir_5af946dc53da9c500339702c4e564dc7.html">vector</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">vector.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="vector_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#pragma once</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include&lt;stdint.h&gt;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include&lt;errorCodes/errorCodes.h&gt;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include&lt;vector/vector_export.h&gt;</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="structVector.html">   17</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structVector.html">Vector</a>{</div><div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="structVector.html#abc10ac30895378eed4f5b07edfdaaf62">   18</a></span>&#160;  <span class="keywordtype">void</span>*    <a class="code" href="structVector.html#abc10ac30895378eed4f5b07edfdaaf62">data</a>       ;</div><div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="structVector.html#a05d98988b273ccb33a96524d5591eb77">   19</a></span>&#160;  uint32_t <a class="code" href="structVector.html#a05d98988b273ccb33a96524d5591eb77">size</a>       ;</div><div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="structVector.html#a94aac82cd99201901a1fd8e32cbdb1b0">   20</a></span>&#160;  uint32_t <a class="code" href="structVector.html#a94aac82cd99201901a1fd8e32cbdb1b0">reserved</a>   ;</div><div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="structVector.html#a13a97a989dd4e8e160d553182fd30f32">   21</a></span>&#160;  uint32_t <a class="code" href="structVector.html#a13a97a989dd4e8e160d553182fd30f32">elementSize</a>;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;};</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="vector_8h.html#a3feb986d187bdc63289fddab34c9cca0">   24</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structVector.html">Vector</a> <a class="code" href="structVector.html">Vector</a>;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;VECTOR_EXPORT <span class="keywordtype">void</span> <a class="code" href="vector_8h.html#a7a685e3c2a49399ec9126aaf3a8dfb5b">vector_init</a>(<a class="code" href="structVector.html">Vector</a>*<span class="keyword">const</span> vector,uint32_t <a class="code" href="structVector.html#a13a97a989dd4e8e160d553182fd30f32">elementSize</a>);</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;VECTOR_EXPORT <span class="keywordtype">void</span> <a class="code" href="vector_8h.html#a16faa6a73cb2ab1535074aaa45bdadf2">vector_free</a>(<a class="code" href="structVector.html">Vector</a>*<span class="keyword">const</span> vector);</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;VECTOR_EXPORT <span class="keywordtype">int</span> <a class="code" href="vector_8h.html#a7d407f2ef87aeb551052aa29730b808f">vector_empty</a>(<a class="code" href="structVector.html">Vector</a> <span class="keyword">const</span>*<span class="keyword">const</span> vector);</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;VECTOR_EXPORT uint32_t <a class="code" href="vector_8h.html#a0f2f873d263e14e55d53eecd63ba6797">vector_size</a>(<a class="code" href="structVector.html">Vector</a> <span class="keyword">const</span>*<span class="keyword">const</span> vector);</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;VECTOR_EXPORT uint32_t <a class="code" href="vector_8h.html#a4967f05c2f0abb3a5fa0cc3831676b4a">vector_elementSize</a>(<a class="code" href="structVector.html">Vector</a> <span class="keyword">const</span>*<span class="keyword">const</span> vector);</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;VECTOR_EXPORT ErrorCode <a class="code" href="vector_8h.html#abd57dd781c89e1d24ed6f6e5e658fb9c">vector_pushback</a>(<a class="code" href="structVector.html">Vector</a>*<span class="keyword">const</span> vector,<span class="keywordtype">void</span> <span class="keyword">const</span>*<span class="keyword">const</span> value);</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;VECTOR_EXPORT ErrorCode <a class="code" href="vector_8h.html#a55595731c2ecaa92a6aeb49f5aeca797">vector_get</a>(<a class="code" href="structVector.html">Vector</a>*<span class="keyword">const</span> vector,uint32_t i,<span class="keywordtype">void</span>*<span class="keyword">const</span> value);</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;VECTOR_EXPORT ErrorCode <a class="code" href="vector_8h.html#a6ff7958d517e099b18fe2c340ff0c20f">vector_set</a>(<a class="code" href="structVector.html">Vector</a>*<span class="keyword">const</span> vector,uint32_t i,<span class="keywordtype">void</span> <span class="keyword">const</span>*<span class="keyword">const</span> value);</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;VECTOR_EXPORT <span class="keywordtype">void</span>* <a class="code" href="vector_8h.html#ae67368472c293d41da4cd2e5dd9db374">vector_at</a>(<a class="code" href="structVector.html">Vector</a>*<span class="keyword">const</span> vector,uint32_t i);</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;VECTOR_EXPORT <span class="keywordtype">void</span> <span class="keyword">const</span>* <a class="code" href="vector_8h.html#ac2e403d6384f5a9a90f664ddd28f4e39">vector_atConst</a>(<a class="code" href="structVector.html">Vector</a> <span class="keyword">const</span>*<span class="keyword">const</span> vector,uint32_t i);</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;VECTOR_EXPORT <span class="keywordtype">void</span>* <a class="code" href="vector_8h.html#a623076b94c57292c94c944d21db1b158">vector_data</a>(<a class="code" href="structVector.html">Vector</a>*<span class="keyword">const</span> vector);</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;}</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="vector_8h_html_a55595731c2ecaa92a6aeb49f5aeca797"><div class="ttname"><a href="vector_8h.html#a55595731c2ecaa92a6aeb49f5aeca797">vector_get</a></div><div class="ttdeci">VECTOR_EXPORT ErrorCode vector_get(Vector *const vector, uint32_t i, void *const value)</div><div class="ttdoc">This function gets element. </div><div class="ttdef"><b>Definition:</b> vector.c:130</div></div>
<div class="ttc" id="structVector_html_abc10ac30895378eed4f5b07edfdaaf62"><div class="ttname"><a href="structVector.html#abc10ac30895378eed4f5b07edfdaaf62">Vector::data</a></div><div class="ttdeci">void * data</div><div class="ttdoc">value on the vector </div><div class="ttdef"><b>Definition:</b> vector.h:18</div></div>
<div class="ttc" id="vector_8h_html_a7a685e3c2a49399ec9126aaf3a8dfb5b"><div class="ttname"><a href="vector_8h.html#a7a685e3c2a49399ec9126aaf3a8dfb5b">vector_init</a></div><div class="ttdeci">VECTOR_EXPORT void vector_init(Vector *const vector, uint32_t elementSize)</div><div class="ttdoc">This function inits vector. </div><div class="ttdef"><b>Definition:</b> vector.c:19</div></div>
<div class="ttc" id="vector_8h_html_a6ff7958d517e099b18fe2c340ff0c20f"><div class="ttname"><a href="vector_8h.html#a6ff7958d517e099b18fe2c340ff0c20f">vector_set</a></div><div class="ttdeci">VECTOR_EXPORT ErrorCode vector_set(Vector *const vector, uint32_t i, void const *const value)</div><div class="ttdoc">This function sets data to an element. </div><div class="ttdef"><b>Definition:</b> vector.c:144</div></div>
<div class="ttc" id="vector_8h_html_a623076b94c57292c94c944d21db1b158"><div class="ttname"><a href="vector_8h.html#a623076b94c57292c94c944d21db1b158">vector_data</a></div><div class="ttdeci">VECTOR_EXPORT void * vector_data(Vector *const vector)</div><div class="ttdoc">This function returns pointer to data. </div><div class="ttdef"><b>Definition:</b> vector.c:186</div></div>
<div class="ttc" id="vector_8h_html_ae67368472c293d41da4cd2e5dd9db374"><div class="ttname"><a href="vector_8h.html#ae67368472c293d41da4cd2e5dd9db374">vector_at</a></div><div class="ttdeci">VECTOR_EXPORT void * vector_at(Vector *const vector, uint32_t i)</div><div class="ttdoc">This function returns pointer to an element. </div><div class="ttdef"><b>Definition:</b> vector.c:159</div></div>
<div class="ttc" id="vector_8h_html_ac2e403d6384f5a9a90f664ddd28f4e39"><div class="ttname"><a href="vector_8h.html#ac2e403d6384f5a9a90f664ddd28f4e39">vector_atConst</a></div><div class="ttdeci">VECTOR_EXPORT void const  * vector_atConst(Vector const *const vector, uint32_t i)</div><div class="ttdoc">This function returns constant pointer to an element. </div><div class="ttdef"><b>Definition:</b> vector.c:173</div></div>
<div class="ttc" id="vector_8h_html_a7d407f2ef87aeb551052aa29730b808f"><div class="ttname"><a href="vector_8h.html#a7d407f2ef87aeb551052aa29730b808f">vector_empty</a></div><div class="ttdeci">VECTOR_EXPORT int vector_empty(Vector const *const vector)</div><div class="ttdoc">This function returns 1 if the vector is empty. </div><div class="ttdef"><b>Definition:</b> vector.c:47</div></div>
<div class="ttc" id="vector_8h_html_abd57dd781c89e1d24ed6f6e5e658fb9c"><div class="ttname"><a href="vector_8h.html#abd57dd781c89e1d24ed6f6e5e658fb9c">vector_pushback</a></div><div class="ttdeci">VECTOR_EXPORT ErrorCode vector_pushback(Vector *const vector, void const *const value)</div><div class="ttdoc">This function pushes a new value to the end of the vector. </div><div class="ttdef"><b>Definition:</b> vector.c:109</div></div>
<div class="ttc" id="structVector_html"><div class="ttname"><a href="structVector.html">Vector</a></div><div class="ttdoc">This struct represents simple vector. </div><div class="ttdef"><b>Definition:</b> vector.h:17</div></div>
<div class="ttc" id="vector_8h_html_a0f2f873d263e14e55d53eecd63ba6797"><div class="ttname"><a href="vector_8h.html#a0f2f873d263e14e55d53eecd63ba6797">vector_size</a></div><div class="ttdeci">VECTOR_EXPORT uint32_t vector_size(Vector const *const vector)</div><div class="ttdoc">This function returns vector size. </div><div class="ttdef"><b>Definition:</b> vector.c:59</div></div>
<div class="ttc" id="structVector_html_a94aac82cd99201901a1fd8e32cbdb1b0"><div class="ttname"><a href="structVector.html#a94aac82cd99201901a1fd8e32cbdb1b0">Vector::reserved</a></div><div class="ttdeci">uint32_t reserved</div><div class="ttdoc">reserved memory size in elements </div><div class="ttdef"><b>Definition:</b> vector.h:20</div></div>
<div class="ttc" id="structVector_html_a13a97a989dd4e8e160d553182fd30f32"><div class="ttname"><a href="structVector.html#a13a97a989dd4e8e160d553182fd30f32">Vector::elementSize</a></div><div class="ttdeci">uint32_t elementSize</div><div class="ttdoc">size of on element in bytes </div><div class="ttdef"><b>Definition:</b> vector.h:21</div></div>
<div class="ttc" id="vector_8h_html_a4967f05c2f0abb3a5fa0cc3831676b4a"><div class="ttname"><a href="vector_8h.html#a4967f05c2f0abb3a5fa0cc3831676b4a">vector_elementSize</a></div><div class="ttdeci">VECTOR_EXPORT uint32_t vector_elementSize(Vector const *const vector)</div><div class="ttdoc">This function returns the element size in bytes. </div><div class="ttdef"><b>Definition:</b> vector.c:71</div></div>
<div class="ttc" id="structVector_html_a05d98988b273ccb33a96524d5591eb77"><div class="ttname"><a href="structVector.html#a05d98988b273ccb33a96524d5591eb77">Vector::size</a></div><div class="ttdeci">uint32_t size</div><div class="ttdoc">vector size </div><div class="ttdef"><b>Definition:</b> vector.h:19</div></div>
<div class="ttc" id="vector_8h_html_a16faa6a73cb2ab1535074aaa45bdadf2"><div class="ttname"><a href="vector_8h.html#a16faa6a73cb2ab1535074aaa45bdadf2">vector_free</a></div><div class="ttdeci">VECTOR_EXPORT void vector_free(Vector *const vector)</div><div class="ttdoc">This function frees vector. </div><div class="ttdef"><b>Definition:</b> vector.c:33</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Apr 23 2019 13:21:21 for Izg project by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
